.TH SGB 1 
.SH NAME
sgb \- The Stanford GraphBase: combinatorial data and algorithms
.SH DESCRIPTION
This manual page documents briefly the
.BR "Stanford GraphBase"
system.
This manual page was written for the Debian GNU/Linux distribution
(but may be used by others), because the original program does not
have a manual page.
.PP
.BR "The Stanford GraphBase,"
created by Prof. Donald Knuth of Stanford University, is a highly
portable collection of programs and data for researchers who study
combinatorial algorithms and data structures.
.PP
The programs are intended to be interesting in themselves as examples of
literate programming.  Thus, the Stanford GraphBase can also be regarded as a
collection of approximately 30 essays for programmers to enjoy reading,
whether or not they are doing algorithmic research.  The programs are written
in CWEB, a combination of TeX and C that is easy to use by anyone who knows
those languages and easy to read by anyone familiar with the rudiments of C.
.PP
More details about the Stanford GraphBase can be found in the file
\fI/usr/share/doc/sgb/abstract.dvi.gz\fR.  It can be viewed using
xdvi.  It can also be converted from DVI to some other format: a
PostScript version can be created by using the command:
.RS
.I dvips -o abstract.ps abstract.dvi
.RE
If you prefer less readable ASCII version instead of Postscript, you
can create it by the non-free
.I dvi2tty
program:
.RS
.I dvi2tty -w132 -e-40 abstract.dvi >abstract.txt
.RE
.PP
Complete instructions to the Stanford Graphbase appear in the book by
D. E. Knuth entitled
.I The Stanford GraphBase: A Platform for Combinatorial Computing
published jointly by ACM Press and Addison-Wesley (1993), ISBN 0-201-54275-7.
.PP
All of the source code may be found in the directory
\fI/usr/sgb/doc/src\fR.
The code may be read directly, or can be turned into a
pretty-printable TeX form by using the
.B cweave
program.  See the \fIcweb\fR(1) manpage for more details.
The source code forms the main documentation of the
\fIlibgb\fR library.

.SH FILES
.TP
\fI/usr/share/sgb\fP
Data files for the GraphBase programs.
.TP
\fI/usr/share/doc/sgb\fP
The source code for the GraphBase programs.
.TP
\fI/usr/lib/libgb.{a,so}\fP
The GraphBase libraries.
.TP
\fI/usr/include/gb_*.h\fP
Header files for the GraphBase library programs.
.TP
\fI/usr/share/cweb\fP
Directory for files included in the GraphBase programs via the CWEB
\fI@i\fR command.

.SH BUGS
Genuine bugs may be reported to Donald Knuth via email to
.I sgb@cs.stanford.edu.
.B PLEASE DO NOT USE THIS EMAIL ADDRESS FOR ANY PURPOSE OTHER THAN TO
.B REPORT BUGS IN THE STANFORD GRAPHBASE.  PROF. KNUTH DOES NOT ACCEPT
.B UNSOLICITED EMAIL.

.SH "SEE ALSO"
.TP
\fIcweb\fP(1)

.SH AUTHOR
The Stanford Graphbase is copyrighted by Stanford University.
This manual page was written by Julian Gilbey <jdg@debian.org>
for the Debian GNU/Linux system.
